Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019349
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] B. User interfaceminoralways2011-12-22 16:172012-01-14 21:21
ReporterdbazView Statuspublic 
Assigned Toiperdomo 
PrioritynormalResolutionfixedFixed in Version3.0MP8
StatusclosedFix in branchpiFixed in SCM revisionc7e35cf0b073
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019349: "Pick & Execute" popup is not resized if browser window do

Description"Pick & Execute" popup is not resized if browser window do

Reproduced in: Windows 7 + Google Chrome 16 (other environments not tested)
Steps To Reproduce* Install the application examples module:
https://code.openbravo.com/erp/mods/org.openbravo.client.application.examples/ [^]
* Go to the sales order header.

* Click in "Pick Example 1" button. The popup opens. [BrowserDefault.png]
* Resize (shrink) browser window.
Notice that new scrollbar appears to allow to show all the unresized popup. [BrowserShrink.png]

This popup should act as, for example, the selector popup, that adapts its size when the browser window is resized.
TagsNo tags attached.
Attached Filespng file icon BrowserDefault.png [^] (91,265 bytes) 2011-12-22 16:17


png file icon BrowserShrink.png [^] (72,429 bytes) 2011-12-22 16:17

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0019430pi closediperdomo Modify Payment pop up is not affected by window resize 
related to defect 0019352 closeddbaz "Pick & Execute" bottom buttons should be in the bottom 

-  Notes
(0044211)
hgbot (developer)
2012-01-10 18:20

Repository: erp/devel/pi
Changeset: c7e35cf0b073807f636f2be59084a9f19f528c91
Author: Iván Perdomo <ivan.perdomo <at> openbravo.com>
Date: Tue Jan 10 18:19:38 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/c7e35cf0b073807f636f2be59084a9f19f528c91 [^]

Fixes issue 19349: Change the layout to use relative instead of fixed values

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-window.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-view.js
---
(0044212)
iperdomo (developer)
2012-01-10 18:26

Test case:

There is no need to install an additional modules, you can test a pick-and-execute process using the "Return from Customer" window, creating a new a record, and using the "Pick/Edit" button
(0044220)
dbaz (developer)
2012-01-10 20:18

Good solution for this issue, but it damages even more issue

https://issues.openbravo.com/view.php?id=19352 [^]

Comments added on 19352. This can be closed.
(0044221)
dbaz (developer)
2012-01-10 20:19

Reviewed @ changeset 15110 - 22483d3d1d7f
(0044362)
hudsonbot (developer)
2012-01-14 21:21

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/0f91795528e4 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-12-22 16:17 dbaz New Issue
2011-12-22 16:17 dbaz Assigned To => iperdomo
2011-12-22 16:17 dbaz Modules => Core
2011-12-22 16:17 dbaz File Added: BrowserDefault.png
2011-12-22 16:17 dbaz File Added: BrowserShrink.png
2011-12-22 16:31 iperdomo Priority high => normal
2011-12-22 16:54 iperdomo Severity major => minor
2012-01-09 13:15 iperdomo Relationship added has duplicate 0019430
2012-01-10 18:19 iperdomo Status new => scheduled
2012-01-10 18:19 iperdomo fix_in_branch => pi
2012-01-10 18:20 hgbot Checkin
2012-01-10 18:20 hgbot Note Added: 0044211
2012-01-10 18:20 hgbot Status scheduled => resolved
2012-01-10 18:20 hgbot Resolution open => fixed
2012-01-10 18:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/c7e35cf0b073807f636f2be59084a9f19f528c91 [^]
2012-01-10 18:26 iperdomo Note Added: 0044212
2012-01-10 20:18 dbaz Note Added: 0044220
2012-01-10 20:19 dbaz Note Added: 0044221
2012-01-10 20:19 dbaz Status resolved => closed
2012-01-10 20:19 dbaz Fixed in Version => 3.0MP8
2012-01-10 20:19 dbaz Relationship added related to 0019352
2012-01-14 21:21 hudsonbot Checkin
2012-01-14 21:21 hudsonbot Note Added: 0044362


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker